summaryrefslogtreecommitdiffstats
path: root/meta
diff options
context:
space:
mode:
authorMatthew Allum <mallum@openedhand.com>2006-12-20 16:05:28 +0000
committerMatthew Allum <mallum@openedhand.com>2006-12-20 16:05:28 +0000
commitce18f35f8e881b639821d3b009c0a122e533cfa6 (patch)
tree4effe12fb59e8b4dfe1098a0564db94e6f00fdec /meta
parent5412e02d76a1bac5fee819558e595b2a7c726ca8 (diff)
downloadpoky-ce18f35f8e881b639821d3b009c0a122e533cfa6.tar.gz
poky-ce18f35f8e881b639821d3b009c0a122e533cfa6.tar.bz2
poky-ce18f35f8e881b639821d3b009c0a122e533cfa6.zip
Add matchbox-sato
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@1066 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'meta')
-rwxr-xr-xmeta/packages/matchbox-sato/matchbox-sato/etc/matchbox/session38
-rw-r--r--meta/packages/matchbox-sato/matchbox-sato_0.1.bb24
2 files changed, 62 insertions, 0 deletions
diff --git a/meta/packages/matchbox-sato/matchbox-sato/etc/matchbox/session b/meta/packages/matchbox-sato/matchbox-sato/etc/matchbox/session
new file mode 100755
index 0000000000..46419d8206
--- /dev/null
+++ b/meta/packages/matchbox-sato/matchbox-sato/etc/matchbox/session
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+module_id() {
+ awk 'BEGIN { FS=": " } /Hardware/ { print $2 } ' </proc/cpuinfo
+}
+
+SHOWCURSOR="no"
+
+## Start up machine specific input devices. Really needs to go in its own session
+case `module_id` in
+ # On Zaurus models, zaurusd takes care of mbinputmgr for us in its hinge scripts
+ "Generic OMAP1510/1610/1710")
+ /usr/bin/mbinputmgr &
+ ;;
+ # qemu machines.. likely need better detection
+ "ARM-IntegratorCP" | "ARM-Versatile PB")
+ /usr/bin/mbinputmgr &
+ #SHOWCURSOR="yes"
+ ;;
+esac
+
+## All this should be done by themeing/xsettings.. ##
+matchbox-desktop --icon-size 48 \
+ --icon-padding 64 \
+ --font sans-16:bold \
+ --titlefont sans-16:bold &
+
+mb-applet-startup-monitor &
+
+#matchbox-panel --orientation east \
+# --padding 4 \
+# --no-menu \
+# --no-session \
+# --default-apps mb-applet-home,mb-applet-clock,mb-applet-battery &
+
+exec matchbox-window-manager -use_cursor $SHOWCURSOR $@
+
+
diff --git a/meta/packages/matchbox-sato/matchbox-sato_0.1.bb b/meta/packages/matchbox-sato/matchbox-sato_0.1.bb
new file mode 100644
index 0000000000..64091bcd7f
--- /dev/null
+++ b/meta/packages/matchbox-sato/matchbox-sato_0.1.bb
@@ -0,0 +1,24 @@
+DESCRIPTION = "Custom MB session files for poky"
+LICENSE = "GPL"
+SECTION = "x11"
+RDEPENDS = "matchbox matchbox-applet-startup-monitor gtk-engine-sato"
+PR = "r1"
+
+SRC_URI = "file://etc"
+S = ${WORKDIR}
+
+do_install() {
+ cp -R ${S}/etc ${D}/etc
+ rm -fR ${D}/etc/.svn
+ rm -fR ${D}/etc/matchbox/.svn
+ chmod -R 755 ${D}/etc
+}
+
+pkg_postinst_matchbox-poky () {
+#!/bin/sh -e
+if [ "x$D" != "x" ]; then
+ exit 1
+fi
+
+gconftool-2 --config-source=xml::$D${sysconfdir}/gconf/gconf.xml.defaults --direct --type string --set /desktop/poky/interface/theme Sato
+}